Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.plateng.gpr.registry
Interface RegistryInfo

All Known Implementing Classes:
  RegistryInfoImpl

    public interface RegistryInfo

Inspects the registry.xml file of a BEA Home directory for installed products and subcomponents.

Version:
  4.0.0 Jan 31, 2005
Author:
  Copyright (c) 2004 by BEA Systems, Inc., All Rights Reserved.

Method Summary
`java.lang.String[]` | `getJavaHomes()` Returns the locations of all Java installations in the current BEA Home directory.
`java.lang.String` | `getJavaVendor(java.lang.String javaHome)` For a given Java home, returns the vendor of the JVM.
`java.lang.String` | `getJavaVersion(java.lang.String javaHome)` For a given Java home, returns the version of the JVM.
`ProductInfo` | `getProductInfo(java.lang.String productName, java.lang.String productVersion)` Returns an object containing information about the installed product that matches the parameters supplied.
`ProductInfo[]` | `getProductInfos()` Returns information about all the products installed in the current BEA Home directory.

Method Detail

### getJavaHomes

    java.lang.String[] getJavaHomes()

  Returns the locations of all Java installations in the current BEA Home directory.

  Returns:
    An array of `String` containing the Java home directories that are installed in the current BEA Home directory.

### getJavaVendor

    java.lang.String getJavaVendor(java.lang.String javaHome)
                                   throws java.lang.IllegalArgumentException

  For a given Java home, returns the vendor of the JVM.

  Parameters:
    `javaHome` - The absolute directory path of the Java home.
  Returns:
    The vendor of the JVM installed at the given location.
  Throws:
    `java.lang.IllegalArgumentException` - if the parameter is null or is an empty string.

### getJavaVersion

    java.lang.String getJavaVersion(java.lang.String javaHome)
                                    throws java.lang.IllegalArgumentException

  For a given Java home, returns the version of the JVM.

  Parameters:
    `javaHome` - The absolute directory of the Java home.
  Returns:
    The version of the JVM installed in the given location.
  Throws:
    `java.lang.IllegalArgumentException` - if the parameter is null or is an empty string.

### getProductInfo

    ProductInfo getProductInfo(java.lang.String productName,
                               java.lang.String productVersion)
                               throws java.lang.IllegalArgumentException

  Returns an object containing information about installed product that matches the parameters supplied. If the product is not found, this method returns a null value.

  Parameters:
    `productName` - The name of the product to match.
    `productVersion` - The product version. For example: 7.0.0.0, 8.1.0.0, or 9.0.0.0.
  Returns:
    The `ProductInfo` object, which contains the product information, or null if no match is found.
  Throws:
    `java.lang.IllegalArgumentException` - if the parameter is null or is an empty string.

### getProductInfos

    ProductInfo[] getProductInfos()

  Returns information about all the products installed in the current BEA Home directory. Each product is identified by a combination of the product name and version. If there are multiple versions of the same product installed, a `ProductInfo` object is returned for each product version.

  Returns:
    An array of `ProductInfo` objects, which contain the product information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.